%define pypi_name neurolab
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
 
Name:		python-neurolab
Version:	0.3.5
Release:	%mkrel 3
Group:		Development/Python
Summary:	Simple and powerfull neural network library for python
License:	LGPLv3
URL:		https://code.google.com/p/neurolab/
Source0:	https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel

%description
%{pypi_name} is a simple and powerful Neural Network Library for Python.
Contains based neural networks, train algorithms and flexible framework
to create and explore other neural network types.

%package -n python3-neurolab
Summary:	Simple and powerfull neural network library for python
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel

%description -n python3-neurolab
%{pypi_name} is a simple and powerful Neural Network Library for Python.
Contains based neural networks, train algorithms and flexible framework
to create and explore other neural network types.

%prep
%setup -q -n %{pypi_name}-%{version}

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-*.egg-info

%files -n python3-neurolab
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-*.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.3.5-3.mga6
+ Revision: 970979
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.3.5-2.mga6
+ Revision: 888873
- make it noarch thus fixing empty debuginfo
- rebuild for python 3.5

* Fri Feb 06 2015 filipesaraiva <filipesaraiva> 0.3.5-1.mga5
+ Revision: 813726
- Update to 0.3.5 version

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-5.mga5
+ Revision: 745892
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.4-4.mga5
+ Revision: 729149
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-3.mga5
+ Revision: 688176
- Mageia 5 Mass Rebuild

* Tue Jun 17 2014 filipesaraiva <filipesaraiva> 0.3.4-2.mga5
+ Revision: 637861
- mkrel increment;
- Removed unnecessary find commands;

* Tue Jun 17 2014 filipesaraiva <filipesaraiva> 0.3.4-1.mga5
+ Revision: 637710
- imported package python-neurolab

